Index: instance_holder.hpp
===================================================================
--- instance_holder.hpp	(revision 66775)
+++ instance_holder.hpp	(working copy)
@@ -9,12 +9,13 @@
 
 # include <boost/utility.hpp>
 # include <boost/python/type_id.hpp>
+# include <boost/python/object/instance_holder_fwd.hpp>
 # include <cstddef>
 
 namespace boost { namespace python { 
 
 // Base class for all holders
-struct BOOST_PYTHON_DECL instance_holder : private noncopyable
+struct instance_holder : private noncopyable
 {
  public:
     instance_holder();
Index: object/instance.hpp
===================================================================
--- object/instance.hpp	(revision 66775)
+++ object/instance.hpp	(working copy)
@@ -6,14 +6,10 @@
 # define INSTANCE_DWA200295_HPP
 
 # include <boost/python/detail/prefix.hpp>
+# include <boost/python/object/instance_holder_fwd.hpp>
 # include <boost/type_traits/alignment_traits.hpp>
 # include <cstddef>
 
-namespace boost { namespace python
-{
-  struct BOOST_PYTHON_DECL_FORWARD instance_holder;
-}} // namespace boost::python
-
 namespace boost { namespace python { namespace objects { 
 
 // Each extension instance will be one of these
Index: object/instance_holder_fwd.hpp
===================================================================
--- object/instance_holder_fwd.hpp	(revision 0)
+++ object/instance_holder_fwd.hpp	(revision 0)
@@ -0,0 +1,16 @@
+// Copyright David Abrahams 2002.
+// Distributed under the Boost Software License, Version 1.0. (See
+// accompanying file LICENSE_1_0.txt or copy at
+// http://www.boost.org/LICENSE_1_0.txt)
+#ifndef BOOST_PYTHON_OBJECT_INSTANCE_HOLDER_FWD_HPP
+# define BOOST_PYTHON_OBJECT_INSTANCE_HOLDER_FWD_HPP
+
+# include <boost/python/detail/prefix.hpp>
+
+namespace boost { namespace python
+{
+  struct BOOST_PYTHON_DECL_FORWARD instance_holder;
+}} // namespace boost::python
+
+
+#endif // BOOST_PYTHON_OBJECT_INSTANCE_HOLDER_FWD_HPP
